6.0.0-git
2019-05-19

[#9011] Day View: request on three days ?
Summary Day View: request on three days ?
Queue Kronolith
Queue Version 2.3.4
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester patrick.abiven (at) apitech (dot) fr
Created 2010-05-10 (3296 days ago)
Due
Updated 2010-05-13 (3293 days ago)
Assigned
Resolved 2010-05-13 (3293 days ago)
Milestone 2.3.5
Patch No

History
2010-05-13 17:24:34 CVS Commit Comment #3 Reply to this comment
Changes have been made in CVS for this ticket:

Fix setting end date (Bug #9011).
http://cvs.horde.org/diff.php/kronolith/lib/Driver/sql.php?rt=horde&r1=1.136.2.47&r2=1.136.2.48&ty=u
2010-05-13 17:13:43 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 2.3.5
 
2010-05-13 17:13:04 CVS Commit Comment #2 Reply to this comment
Changes have been made in CVS for this ticket:

Don't retrieve events two days into the future (Bug #9011).
http://cvs.horde.org/diff.php/kronolith/lib/Driver/sql.php?rt=horde&r1=1.136.2.46&r2=1.136.2.47&ty=u
2010-05-10 08:13:02 patrick (dot) abiven (at) apitech (dot) fr Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Day View: request on three days ?
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hello
It seems that when using a Day View (on day D), the sql request is 
querying events from D to D + 2 days.
Driver/sql.php: listEvents(): $endInterval = nextDay ($endDate)
Driver/sql.php: listEventsConditional(): $endInterval = $endInterval + 1.
Can we reduce the number of days searched ?
Best regards
Patrick

Saved Queries